Bug 727 - warning: shift count negative or too big: >> 32
warning: shift count negative or too big: >> 32
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0
All Solaris
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 16:20 UTC by Jorgen Moquist
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jorgen Moquist 2003-11-06 16:20:47 UTC
Ultra-10/SunOS 5.10_beta4x with Forte 7 compiler
env CC=cc ./configure
make
.
.
Compiling libsmb/clireadwrite.c with -KPIC
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
Compiling libsmb/clilist.c with -KPIC
-----next files in make ---
Compiling libsmb/clireadwrite.c
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 54: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
"libsmb/clireadwrite.c", line 301: warning: shift count negative or too big: >> 32
Compiling libsmb/clilist.c
Comment 1 Tim Potter 2003-11-07 15:33:23 UTC
OK it looks like these guys can be fixed with some typecasts to SMB_BIG_UINT in
appropriate places
Comment 2 Gerald (Jerry) Carter 2005-02-08 21:30:59 UTC
still a bug in 3.0.11 ?  Please reopen if so.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:13 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.